Yaf_Route_Supervar
Yaf_Route_Supervar::__construct
Yaf_Route_Supervar
PHP Manual

# Yaf_Route_Supervar::assemble

Assemble a url

### Description

public string Yaf_Route_Supervar::assemble ( array `$info` [, array `$query` ] )

Assmeble a url.

### Parameters

`info`

`query`

### Examples

Example #1 Yaf_Route_Supervar::assembleexample

`<?php
$router = new Yaf_Router();
$route = new Yaf_Route_Supervar('r');
$router->addRoute("supervar", $route);
var_dump($router->getRoute('supervar')->assemble(
array(
':a' => 'yafaction',
'tkey' => 'tval',
':c' => 'yafcontroller',
':m' => 'yafmodule'
),
array(
'tkey1' => 'tval1',
'tkey2' => 'tval2'
)
));
try {
var_dump($router->getRoute('supervar')->assemble(
array(
':a' => 'yafaction',
'tkey' => 'tval',
':m' => 'yafmodule'
),
array(
'tkey1' => 'tval1',
'tkey2' => 'tval2',
1 => array(),
)
));
} catch (Exception $e) {
var_dump($e->getMessage());
}`

The above example will output something similar to:

    string(%d) "?r=/yafmodule/yafcontroller/yafaction&tkey1=tval1&tkey2=tval2"
    string(%d) "You need to specify the controller by ':c'"

### Return Values